<ion-content>
    <div class="ms-mob-body ms-home">
      <div class="row ms-home-body">
          <div class="ms-home-body-content ms-full-width">
              <p class="ms-home-header">
                  {{ vendorType.name }}
              </p>
              <p class="ms-info">
                  <i class="fas fa-exclamation-circle ms-text-teal"></i> tap vendor package to view details, use search bar to filter vendors
              </p>
              <hr/>
              <ion-searchbar class="search-bar" type="text" debounce="500" animated (ionChange)="getItems($event)"></ion-searchbar>
              <div *ngIf="vendors.length > 0">
                  <div *ngFor="let vendor of vendors let i = index">
                      <ul class="ms-horizcards">
                          <li *ngFor="let package of vendor.packages let j = index" (click)="openModal(vendor, j)">
                              <div class="ms-horizcard">
                                  <div class="ms-horizcard-image">
                                      <img src="https://s3.amazonaws.com/thumbnails.venngage.com/template/373ed6bf-959e-4cb4-b52f-9591ce11adca.png">
                                  </div>
                                  <div class="ms-horizcard-content">
                                      <div>
                                          <h5>{{ (package.name.length > 30)? (package.name | slice:0:30)+'...':(package.name)}}</h5>
                                          <p>{{ (package.description.length > 60)? (package.description | slice:0:60)+'...':(package.description)}}</p>
                                          <p class="ms-info"> ({{package.maximumPax}}) pax - {{ vendor.name }}</p>
                                      </div>
                                  </div>
                                  <span>
                                      new
                                  </span>
                              </div>
                          </li>
                      </ul>
                  </div>
              </div>
          </div>
      </div>  
    </div>
</ion-content>

<ion-footer>
    <div class="ms-home-bottombar ms-scheme-bottombar">
      <div class="row ms-bottom-toolbar">
        <div class="col-sm ms-bottom-toolbar-tool">
            <span>
                <a (click)="back()">
                    <i class="ms-Icon ms-Icon--Back"></i>
                </a>
            </span>
            
            <span>
              <!-- spacer -->
            </span>
            <span>
                <a>
                    <i class="ms-Icon ms-Icon--Delete"></i>
                </a>
            </span>
        </div>
      </div>
    </div>
</ion-footer>

